Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SAttributed

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Subinterfaces:
  SActable, SAgent, SContext, SContinuousSpace, SGeography, SGrid, SNDimensional, SNetwork, SProjection, SStyle, SStyle2D, SStyle3D, SStyleShape

All Known Implementing Classes:
  SActableImpl, SAgentImpl, SAttributedImpl, SContextImpl, SContinuousSpaceImpl, SGeographyImpl, SGridImpl, SNDimensionalImpl, SNetworkImpl, SProjectionImpl, SStyle2DImpl, SStyle3DImpl, SStyleImpl, SStyleShapeImpl

    public interface SAttributed

extends SNamed

A representation of the model object ' SAttributed'.

Author:
  Miles Parker

  The following features are supported:

  - `Attributes`
See Also:
  `MetaABMPackage.getSAttributed()`

Method Summary
`SAttribute` | `findAttribute(java.lang.String id)`
`org.eclipse.emf.common.util.EList<SAttribute>` | `getAttributes()` Returns the value of the 'Attributes' containment reference list.
`boolean` | `isReachable(IValue value)`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAttributes

    org.eclipse.emf.common.util.EList<SAttribute> getAttributes()

  Returns the value of the 'Attributes' containment reference list. The list contents are of type `SAttribute`. It is bidirectional and its opposite is '`Owner`'.

  Returns:
    the value of the 'Attributes' containment reference list.
  See Also:
    `MetaABMPackage.getSAttributed_Attributes()`, `SAttribute.getOwner()`

### findAttribute

    SAttribute findAttribute(java.lang.String id)

### isReachable

    boolean isReachable(IValue value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD